CREATE TABLE [CatalogoProdotti].[dbo].[CatalogoProdotti] (
    [ChiaveProdotto] int NOT NULL,
    [CodSottoprodotto] varchar(5) NULL,
    [CodInterno] varchar(18) NULL,
    [CodMaf] varchar(18) NULL,
    [CodAdeguatezza] varchar(18) NULL,
    [CodIsin] varchar(18) NULL,
    [TipoVersamento] int NULL,
    [RischioPrSc] int NULL,
    [StatoProdotto] int NULL,
    [TipoPolizza] varchar(20) NULL,
    [NomeProdotto] varchar(128) NULL,
    [Visibilita] bit NOT NULL,
    [PrezzoInEuro] decimal(13,5) NULL,
    [Alberatura] int NOT NULL,
    [DtScadenza] datetime NULL,
    [Categoria] int NULL,
    [Istituto] int NULL,
    [Piazza] varchar(128) NULL,
    [PrezzoInValuta] decimal(13,5) NULL,
    [PrezzoValuta] varchar(3) NULL,
    [Codiceadb] varchar(18) NULL,
    [TipoProdotto] varchar(20) NULL,
    [RatingObbligazioni] varchar(128) NULL,
    [RischioMinimo] int NULL,
    [CapRisparmio] int NULL,
    [CapMinimo] decimal(13,5) NULL,
    [CapMinimoValuta] varchar(3) NULL,
    [CapMinSucc] decimal(13,5) NULL,
    [CapMinSuccValuta] varchar(3) NULL,
    [MinRispContr] decimal(13,5) NULL,
    [MinRispContrValuta] varchar(3) NULL,
    [SuccRispContr] decimal(13,5) NULL,
    [SuccRispContrValuta] varchar(3) NULL,
    [MinComm] decimal(13,5) NULL,
    [MinCommValuta] varchar(3) NULL,
    [DelegaGestionale] varchar(128) NULL,
    [TipologiaPerPick] int NULL,
    [RischioPrezzo] int NULL,
    [RegimeFiscale] int NULL,
    [Quotato] int NULL,
    [ClasseDiPrezzo] varchar(10) NULL,
    [Lineefinacc] varchar(128) NULL,
    [DurataContrattuale] varchar(50) NULL,
    [RiscFinFaseAcc] varchar(10) NULL,
    [OpzRendVital] bit NULL,
    [MetaA] varchar(128) NULL,
    [MetaB] varchar(128) NULL,
    [MetaC] varchar(128) NULL,
    [DtRifPrezzo] datetime NULL,
    [CodTipoContratto] varchar(128) NULL,
    [PrezzoNetto] decimal(13,5) NULL,
    [PrezzoNettoValuta] varchar(3) NULL,
    [DtPrezzoNetto] datetime NULL,
    [CodBloomberg] varchar(128) NULL,
    [DenomUnitLink] varchar(128) NULL,
    [DtInizioValidita] datetime NULL,
    [Negoziabilita] bit NULL,
    [TassoTecnico] decimal(13,5) NULL,
    [TassoTecnicoValuta] varchar(3) NULL,
    [CollSkandia] bit NULL,
    [CodAssetSatellite] varchar(20) NULL,
    [Mercato] varchar(3) NULL,
    [AzOb] varchar(2) NULL,
    [Complessita] int NULL,
    [Emittente] varchar(13) NULL,
    [GaranziaDemografica] int NULL,
    [SocietaDiGestione] int NULL,
    [IndPrz] varchar(1) NULL,
    [Differimento] int NULL,
    [DtPrezzo] datetime NULL,
    [TipoObbligazione] varchar(50) NULL,
    [TaglioMinimo] decimal(19,6) NULL,
    [IsAttivoRc] int NULL,
    [RischioCredito] varchar(20) NULL,
    [Copertura] decimal(5,2) NULL,
    [VarP] decimal(19,16) NULL,
    [Diversificazione] decimal(19,16) NULL,
    [FlagCoreSatellite] int NULL,
    [PerimetroCoreSatellite] int NULL,
    [FondoCore] int NULL,
    [ValutaProdotto] varchar(3) NULL,
    [ControlliCategoria] int NULL,
    [percMax] decimal(18,2) NULL,
    [sottoprodottoSelf] varchar(5) NULL,
    [distrprov] int NULL,
    [CatAssoGestioniFondi] varchar(50) NULL,
    [moltiplicatore] decimal(5,2) NULL,
    [codTassoObbligazioni] int NULL,
    [codUlla] varchar(6) NULL,
    [dtEmissione] datetime NULL,
    [tassoCedola] decimal(18,2) NULL,
    [valoreTMD] int NULL,
    [divisaEmissione] varchar(3) NULL,
    [divisaTrattazione] varchar(3) NULL,
    [MultipliSuccessivi] varchar(20) NULL,
    [SavingMap] int NULL,
    [TipologiaTitolo] varchar(1) NULL,
    [codiceTipologia] varchar(3) NULL,
    [isAPCCompatibile] int NULL,
    [CSP] varchar(8) NULL,
    [OT_anagrafico] decimal(38,6) NULL,
    [Riserva_OS] varchar(1) NULL,
    [Prodotto_derivato] varchar(1) NULL,
    [Suitability_Perimeter] varchar(1) NULL,
    [ComplessitaGreyList] varchar(1) NULL,
    [CLIPROF] varchar(1) NULL,
    [IsDirect] varchar(1) NULL
);
GO

-- Popolamento tabella
-- INSERT INTO [CatalogoProdotti].[dbo].[CatalogoProdotti]
-- SELECT * FROM [CONSUNI].[CatalogoProdotti].[dbo].[CatalogoProdotti];
-- GO